<?php
namespace datafast\payment\datafast\payment;
use datafast\payment\model\DatafastRequest;
use datafast\payment\model\Environment;
use PrestaShop\PrestaShop\Adapter\Configuration; 

class Config
{

    public function getDatafastRequest($data): DatafastRequest
    {          
        $request = new DatafastRequest();
        
	    if ($data['DATAFAST_DEV']) {
            $url = Environment::TEST;
            $request->setTestMode(true);
        } else {
            $url = Environment::PRODUCTION;
            $request->setTestMode(false);
        }
        
        $request->setUrlRequest($url);
		$request->setBearerToken($data['DATAFAST_BEARER_TOKEN']);
		
        $request->setEntityId($data['DATAFAST_ENTITY_ID']);
        $request->setMid($data['DATAFAST_MID']);
        $request->setTid($data['DATAFAST_TID']);
		$request->setRisk($data['DATAFAST_RISK']);
        $request->setProveedor($data['DATAFAST_PROVEEDOR']);
		$request->setPrefijoTrx($data['DATAFAST_PREFIJOTRX']);
		
        $request->setCheckoutScript($url . 'paymentWidgets.js?checkoutId=');
        $request->setResourcePathUri($url . 'checkouts/{id}/payment');
        $request->setResourcePathUriRefund($url . 'payments'); 
        return $request;
    }

}